Retrieve FindAll Run Status
curl --request GET \
--url https://api.aisa.one/apis/v1/parallel/findall/runs/{findall_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/parallel/findall/runs/{findall_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/parallel/findall/runs/{findall_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/parallel/findall/runs/{findall_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/parallel/findall/runs/{findall_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aisa.one/apis/v1/parallel/findall/runs/{findall_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/parallel/findall/runs/{findall_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"findall_id": "<string>",
"generator": "base",
"status": {
"is_active": true,
"metrics": {
"generated_candidates_count": 0,
"matched_candidates_count": 0
},
"status": "queued",
"termination_reason": "low_match_rate"
},
"created_at": "<string>",
"metadata": {},
"modified_at": "<string>"
}Parallel
Retrieve FindAll Run Status
Retrieve a FindAll run.
GET
https://api.aisa.one
/
apis
/
v1
/
parallel
/
findall
/
runs
/
{findall_id}
Retrieve FindAll Run Status
curl --request GET \
--url https://api.aisa.one/apis/v1/parallel/findall/runs/{findall_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/parallel/findall/runs/{findall_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/parallel/findall/runs/{findall_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/parallel/findall/runs/{findall_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/parallel/findall/runs/{findall_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aisa.one/apis/v1/parallel/findall/runs/{findall_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/parallel/findall/runs/{findall_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"findall_id": "<string>",
"generator": "base",
"status": {
"is_active": true,
"metrics": {
"generated_candidates_count": 0,
"matched_candidates_count": 0
},
"status": "queued",
"termination_reason": "low_match_rate"
},
"created_at": "<string>",
"metadata": {},
"modified_at": "<string>"
}Request contract
- Method and path: GET /apis/v1/parallel/findall/runs/{findall_id}
- Availability: enabled
- Request URL template:
https://api.aisa.one/apis/v1/parallel/findall/runs/{findall_id} - parallel-beta: header; optional
- findall_id: path; required
{
"operationId": "any_parallel_ai_apis_v1_parallel_findall_runs_findall_id",
"method": "GET",
"path": "/apis/v1/parallel/findall/runs/{findall_id}",
"servers": [
{
"url": "https://api.aisa.one"
}
],
"parameters": [
{
"deprecated": true,
"in": "header",
"name": "parallel-beta",
"required": false,
"schema": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"deprecated": true,
"title": "Parallel-Beta"
}
},
{
"in": "path",
"name": "findall_id",
"required": true,
"schema": {
"title": "Findall Id",
"type": "string"
}
}
],
"security": [
{
"bearerAuth": []
}
],
"x-aisa-status": "enabled",
"components": {
"securitySchemes": {
"bearerAuth": {
"scheme": "bearer",
"type": "http"
}
}
}
}
Cost and request rules
Published reference price: $0.012 USD per successful request. Your account price may differ; use a request quote where supported.Authorizations
Response
Successful Response
FindAll run object with status and metadata.